Issue 22294 - Fonts entirely illegible while typing
Fonts entirely illegible while typing
Status: CLOSED NOT_AN_ISSUE
Product: gsl
Classification: Code
Component: code
OOo 1.1
PC Linux
: P3 trivial (vote)
: OOo 2.0
Assigned To: ulf.stroehler
issues@sw
: needhelp, needmoreinfo
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2003-11-09 17:22 UTC by davefluri
Modified: 2004-08-06 14:35 UTC (History)
3 users (show)

See Also:
Issue Type: DEFECT
Latest Confirmation on: ---
Developer Difficulty: ---


Attachments
Screenshot of OOo and the inability to read anything I type onscreen. (56.45 KB, image/png)
2003-11-09 17:23 UTC, davefluri
no flags Details
A new screenshot of the garbled fonts. Contains the same text as the previous screenshot. (51.28 KB, image/png)
2003-11-11 03:12 UTC, davefluri
no flags Details
The file share/psprint/pspfontcache from the installation directory. (48.50 KB, text/plain)
2003-11-11 03:13 UTC, davefluri
no flags Details
Screwed up fonts in the right panel of the help UI (95.71 KB, image/png)
2003-11-11 03:16 UTC, davefluri
no flags Details
Screwed up fonts in the OOcalc (54.11 KB, image/png)
2003-11-11 03:25 UTC, davefluri
no flags Details
Document for screenshot 3 (sorry I forgot to attach it before) (5.28 KB, application/octet-stream)
2003-11-11 15:10 UTC, davefluri
no flags Details
A PDF export of the same document (24.04 KB, application/octet-stream)
2003-11-11 15:11 UTC, davefluri
no flags Details
When I saved the document from screenshot3, restarted OOo and reopened it, it looked like this (51.98 KB, image/png)
2003-11-11 15:15 UTC, davefluri
no flags Details
Then, when I tried to add new text to it, this is what it did (61.69 KB, image/png)
2003-11-11 15:16 UTC, davefluri
no flags Details
Online Layout View (116.83 KB, image/png)
2003-11-11 17:27 UTC, davefluri
no flags Details
The dropdown font selector list (12.46 KB, image/png)
2003-11-11 18:01 UTC, davefluri
no flags Details
/usr/X11R6/lib/X11/fonts/drakfont/Type1.bak/times.afm (13.71 KB, application/octet-stream)
2003-11-12 14:40 UTC, davefluri
no flags Details
/usr/X11R6/lib/X11/fonts/drakfont/Type1.bak/times.pfb (69.79 KB, application/octet-stream)
2003-11-12 14:41 UTC, davefluri
no flags Details
/usr/lib/libfreetype.so is a symlink to this file /usr/lib/libfreetype.so.6.3.2 (316.64 KB, application/octet-stream)
2003-11-12 15:53 UTC, davefluri
no flags Details
The newly (forced to be) created psfontscache file (21.31 KB, text/plain)
2003-11-13 06:15 UTC, davefluri
no flags Details
/usr/share/fonts/msttcorefonts/fonts.dir (39.24 KB, text/plain)
2004-04-07 15:34 UTC, davefluri
no flags Details
/usr/X11R6/lib/X11/fonts/drakfont/ttf/fonts.dir (4.41 KB, text/plain)
2004-04-07 15:36 UTC, davefluri
no flags Details
/usr/share/fonts/default/Type1/fonts.dir (48.78 KB, text/plain)
2004-04-07 15:37 UTC, davefluri
no flags Details
/usr/share/fonts/default/Type1/fonts.scale (48.78 KB, text/txt)
2004-04-07 15:38 UTC, davefluri
no flags Details
/usr/share/fonts/msttcorefonts/fonts.dir (39.24 KB, text/txt)
2004-04-07 15:38 UTC, davefluri
no flags Details
/usr/X11R6/lib/X11/fonts/100dpi/fonts.dir (99.35 KB, text/txt)
2004-04-07 15:40 UTC, davefluri
no flags Details
/usr/X11R6/lib/X11/fonts/drakfont/Type1/fonts.scale.bak (5.10 KB, text/plain)
2004-04-07 15:40 UTC, davefluri
no flags Details
/usr/X11R6/lib/X11/fonts/drakfont/ttf/fonts.dir (4.41 KB, text/txt)
2004-04-07 15:41 UTC, davefluri
no flags Details
/usr/share/a2ps/afm/fonts.map (3.39 KB, text/plain)
2004-04-07 15:46 UTC, davefluri
no flags Details
/usr/X11R6/lib/X11/fonts/75dpi/fonts.dir (96.68 KB, text/plain)
2004-04-07 15:47 UTC, davefluri
no flags Details
/usr/X11R6/lib/X11/fonts/drakfont/Type1/fonts.scale (5.10 KB, text/plain)
2004-04-07 15:47 UTC, davefluri
no flags Details

Note You need to log in before you can comment on or make changes to this issue.
Description davefluri 2003-11-09 17:22:33 UTC
There appears to be no way for me to use oowriter. As I type, the letters 
simply pile up one upon the other on the screen. I've tried selecting the text 
and changing the font. Changing to Times New Roman appears, in the sample, to 
fix the trouble but, in fact, it does nothing onscreen. When I preview the 
page, it shows as being entirely jumbled up. If I highlight all the text and 
change to some radically different font size like, say, 20 point, it appears 
to fix things but then, when I continue typing, it starts to jumble up again. 
I have a screenshot that I'd like to attach but I'm not sure precisely how to 
do that. 
 
Dave Fluri
Comment 1 davefluri 2003-11-09 17:23:40 UTC
Created attachment 11076 [details]
Screenshot of OOo and the inability to read anything I type onscreen.
Comment 2 utomo99 2003-11-10 03:01:55 UTC
can you reproduce this problem ? 
If I look at the screenshot it will not be able to work with OOo. 
but at the previous text it is normal. 

can you please describe more about your computer spec ? 
Your linux, kernel, configuration, ETC. 
especially VGA card and the driver version 
Comment 3 davefluri 2003-11-10 04:07:59 UTC
Mandrake Linux 9.0(ish)  
   
Kernel: 2.4.29-16mdk   
Video: ATI Radeon 7500 QW at 1x AGP   
Video driver: radeon.o with DRI   
XFree: 4.2.1   
Resolution: 1280x1024 at 24 bit colour 
Comment 4 davefluri 2003-11-10 04:09:44 UTC
BTW, OOo 1.0.1 worked perfectly on this same machine. 
Comment 5 jack.warchold 2003-11-10 13:29:25 UTC
reassigend to hdu

this is a known issue to me, i saw this behaviour on a OOo1.1 beta or 
rc. can you please take a look on this issue.

to the reporter of this issue, does this really happen on a OOo1.1 
final or do you have a release candidate? please tell us the build id 
of your release.

help -> about openoffice.org -> press [strg] than one after the other 
[s] [d] [t]
Comment 6 davefluri 2003-11-10 13:37:22 UTC
I'm running: 
 
OpenOffice.org 1.1.0  
[645m19(Build:8693)]  
Comment 7 hdu@apache.org 2003-11-10 17:11:28 UTC
Can you also attach the file share/pspfontfontcache in the
installation directory and the document which corresponds to the
screen shot?
Comment 8 davefluri 2003-11-11 03:10:08 UTC
Unfortunately, I did not save the file from which that screen shot 
came. I made another. I'll attach a second screenshot and the file 
from whence it came. Note that this screenshot and the previous one 
were produced in exactly the same way and, in fact, contain exactly 
the same words. Notice how different they appear. 
 
I've also attached a copy of the file share/psprint/psfontcache from 
the installation directory. 
 
Dave 
Comment 9 davefluri 2003-11-11 03:12:28 UTC
Created attachment 11132 [details]
A new screenshot of the garbled fonts. Contains the same text as the previous screenshot.
Comment 10 davefluri 2003-11-11 03:13:49 UTC
Created attachment 11133 [details]
The file share/psprint/pspfontcache from the installation directory.
Comment 11 davefluri 2003-11-11 03:15:30 UTC
I've also just noticed that the fonts are screwed up in the help 
screen. I'll attach a screenshot of that, too. 
 
Dave 
Comment 12 davefluri 2003-11-11 03:16:23 UTC
Created attachment 11134 [details]
Screwed up fonts in the right panel of the help UI
Comment 13 davefluri 2003-11-11 03:24:48 UTC
Darn, I think I might have misclassified this incident. I just tried  
using OOcalc and the troubles are in there, too. I'm beginning to  
wonder if this mightn't be a variation of that garbled fonts in the  
UI bug that we saw a while back. Here's a screenshot of OOcalc. Note  
that the three lines were typed in, from top to bottom, Arial 10,  
Arial 20 and Arial 6. Yes, that's right, the top line is 10 pt while  
the second line is 20 pt. 
Comment 14 davefluri 2003-11-11 03:25:39 UTC
Created attachment 11135 [details]
Screwed up fonts in the OOcalc
Comment 15 hdu@apache.org 2003-11-11 09:46:01 UTC
Where is the document of the snapshot3.png?
Also a *.PDF export of this document would be interesting (to see
which fonts are actually used on your system).
Comment 16 davefluri 2003-11-11 15:10:03 UTC
Created attachment 11165 [details]
Document for screenshot 3 (sorry I forgot to attach it before)
Comment 17 davefluri 2003-11-11 15:11:28 UTC
Created attachment 11166 [details]
A PDF export of the same document
Comment 18 davefluri 2003-11-11 15:15:22 UTC
Created attachment 11167 [details]
When I saved the document from screenshot3, restarted OOo and reopened it, it looked like this
Comment 19 davefluri 2003-11-11 15:16:55 UTC
Created attachment 11168 [details]
Then, when I tried to add new text to it, this is what it did
Comment 20 davefluri 2003-11-11 15:31:49 UTC
Do you think this might be a variation of the troubles touched on in 
Christof Pintaske's fontguide at 
 
http://www.openoffice.org/FAQs/fontguide.html#8 
Comment 21 hdu@apache.org 2003-11-11 16:00:29 UTC
No I don't think the fontguide has the Q&A for this problem.

What I find interesting is that there seem to be two different "Times
New Roman" on this system. One times.pfb in
/Extras/OpenOffice/share/fonts/truetype. Can you provide the
/Extras/OpenOffice/share/fonts/truetype/times.* files? We had bad
experiences with TTF->TYPE1 autoconverted files...

Another thing I'd like to know is: Does it look better when you choose
the menu item "View->Online Layout"?
Comment 22 hdu@apache.org 2003-11-11 16:03:26 UTC
changing component
Comment 23 davefluri 2003-11-11 17:25:33 UTC
There are no files /Extras/OpenOffice/share/fonts/truetype/times.* 
 
The contents of the /Extras/OpenOffice/share/fonts/truetype/ 
directory is 
 
opens___.ttf -sun-OpenSymbol-medium-r-normal--0-0-0-0-p-0-iso10646-1 
VeraMoBd.ttf -misc-Bitstream Vera Sans 
Mono-bold-r-normal-utf8-0-0-0-0-m-0-iso10646-1 
VeraMoBI.ttf -misc-Bitstream Vera Sans 
Mono-bold-i-normal-utf8-0-0-0-0-m-0-iso10646-1 
VeraBd.ttf -misc-Bitstream Vera 
Sans-bold-r-normal-utf8-0-0-0-0-p-0-iso10646-1 
VeraMoIt.ttf -misc-Bitstream Vera Sans 
Mono-normal-i-normal-utf8-0-0-0-0-m-0-iso10646-1 
VeraMono.ttf -misc-Bitstream Vera Sans 
Mono-normal-r-normal-utf8-0-0-0-0-m-0-iso10646-1 
VeraSeBd.ttf -misc-Bitstream Vera 
Serif-bold-r-normal-utf8-0-0-0-0-p-0-iso10646-1 
VeraIt.ttf -misc-Bitstream Vera 
Sans-normal-i-normal-utf8-0-0-0-0-p-0-iso10646-1 
VeraSe.ttf -misc-Bitstream Vera 
Serif-normal-r-normal-utf8-0-0-0-0-p-0-iso10646-1 
Vera.ttf -misc-Bitstream Vera 
Sans-normal-r-normal-utf8-0-0-0-0-p-0-iso10646-1 
VeraBI.ttf -misc-Bitstream Vera 
Sans-bold-i-normal-utf8-0-0-0-0-p-0-iso10646-1 
 
When I select "Online Layout", I can read it all but the kerning is 
screwy as shown in the attached screeshot7. 
Comment 24 davefluri 2003-11-11 17:27:16 UTC
Created attachment 11173 [details]
Online Layout View
Comment 25 davefluri 2003-11-11 17:58:49 UTC
Searching for times*.*ttf* on my entire system yields the following: 
 
/usr/share/fonts/msttcorefonts/timesbd.ttf 
/usr/share/fonts/msttcorefonts/timesbi.ttf 
/usr/share/fonts/msttcorefonts/timesi.ttf 
/usr/share/fonts/msttcorefonts/times.ttf 
 
One new thing I've just noticed is that, when I drop down the fonts 
list, the examples are all in Arabic or Greek. Here's a screenshot9 
showing the dropdown font selection list. 
Comment 26 davefluri 2003-11-11 18:01:01 UTC
Created attachment 11177 [details]
The dropdown font selector list
Comment 27 hdu@apache.org 2003-11-12 08:18:42 UTC
/Extras/OpenOffice/share/fonts/truetype/times.pfb and times.afm files?
Which tool created them?

The arabic/greek text means, that psprint's font collection classified
all these fonts as symbol fonts, so OOo will show samples of what it
expects to be symbol sets. The pspfontcache entries confirms this with
stating that the *.pfb fonts have RTL_TEXTENCODING_SYMBOL encoding.

To get things working I suggest to move the directory
/Extras/OpenOffice/share/fonts/truetype out of the way! E.g. rename it
to /Extras/OpenOffice/share/fonts/truetype.bak
Comment 28 hdu@apache.org 2003-11-12 09:54:41 UTC
A line was clipped in the message above:

I'm very interested to get the
/Extras/OpenOffice/share/fonts/truetype/times.pfb and times.afm files.
Can you provide them?
Comment 29 davefluri 2003-11-12 13:33:16 UTC
There are no files /Extras/OpenOffice/share/fonts/truetype/times*.*   
   
The contents of the /Extras/OpenOffice/share/fonts/truetype/   
directory are 
   
opens___.ttf 
VeraMoBd.ttf  
VeraMoBI.ttf  
VeraBd.ttf  
VeraMoIt.ttf  
VeraMono.ttf  
VeraSeBd.ttf  
VeraIt.ttf  
VeraSe.ttf  
Vera.ttf  
VeraBI.ttf  
  
Searching the entire system for times*.afm and times*.pfb yields the 
following 
 
/usr/X11R6/lib/X11/fonts/drakfont/Type1/times.afm 
/usr/X11R6/lib/X11/fonts/drakfont/Type1/timesbd.afm 
/usr/X11R6/lib/X11/fonts/drakfont/Type1/timesbi.afm 
/usr/X11R6/lib/X11/fonts/drakfont/Type1/timesi.afm 
/usr/X11R6/lib/X11/fonts/drakfont/Type1/times.afm 
/usr/X11R6/lib/X11/fonts/drakfont/Type1/timesbd.pfb 
/usr/X11R6/lib/X11/fonts/drakfont/Type1/timesbi.pfb 
/usr/X11R6/lib/X11/fonts/drakfont/Type1/timesi.pfb 
 
Do you want me to send these files along? 
Comment 30 davefluri 2003-11-12 14:04:25 UTC
Okay, I renamed /Extras/OpenOffice/share/fonts/truetype to 
/Extras/OpenOffice/share/fonts/truetype.bak This had no visible 
effect. 
 
It appears that my system is pulling those fonts from somewhere 
else, and not from the /Extras/OpenOffice/share/fonts/truetype 
directory. Support for this contention is that the 
/Extras/OpenOffice/share/fonts/truetype directory contains, 
essentially, only Verdana fonts. It must be pulling other fonts in 
through the fontserver from /usr/X11R6/lib/X11/fonts/drakfont and 
below. 
 
As for which tool created the fonts, I really have no idea. I know 
that Mandrake supplies a tool to pull fonts into Mandrake. I think 
the tool is called drakfont, in fact. I did that back when I first 
installed Mandrake 9.0, pulling them in from a previous installation 
of Mandrake 8.2. Those WP fonts came from there, for sure, because I 
had WP for Linux installed in Mandrake 8.2. I also pulled some MS 
fonts from a Windows partition at the same time, using the same 
tool. 
 
BTW, this machine can dual-boot into MSWindows98SE, although I 
haven't used it for ages. My kids used to use it to play games. I 
tried it last night, installing OOo1.1.0 over there. It works 
perfectly in Windows on this machine. 
 
Sheesh, I'm beginning to feel like an ueber-pest or something. Am I 
the only person with these difficulties or can you assuage my 
feelings and tell me I represent whole hordes who have the same 
trouble but don't know it or haven't reported it yet? ;-) 
Comment 31 hdu@apache.org 2003-11-12 14:19:35 UTC
Ooos, you are right it is /usr/X11R6/lib/X11/fonts/drakfont/Type1. I
overlooked this path from the pspfontcache file and used the one next
to it. So please rename this directory instead, sorry.

> Sheesh, I'm beginning to feel like an ueber-pest or something. Am I 
> the only person with these difficulties or can you assuage my 
> feelings and tell me I represent whole hordes who have the same 
> trouble but don't know it or haven't reported it yet? ;-) 

No worries, this looks like a more generic problem. I think it has to
do with the TTF->PFB conversion that is done (probably a MDK
speciality), which is not needed for a long time (OOo or SO<6). Assume
yourself to be the leader of a Mandrake tribe :-)
Comment 32 davefluri 2003-11-12 14:25:39 UTC
Oops, I made a typo in listing the time*.pfb and times*.afm files.   
The correct list on this box is  
  
/usr/X11R6/lib/X11/fonts/drakfont/Type1/times.afm  
/usr/X11R6/lib/X11/fonts/drakfont/Type1/timesbd.afm  
/usr/X11R6/lib/X11/fonts/drakfont/Type1/timesbi.afm  
/usr/X11R6/lib/X11/fonts/drakfont/Type1/timesi.afm  
/usr/X11R6/lib/X11/fonts/drakfont/Type1/times.pfb  
/usr/X11R6/lib/X11/fonts/drakfont/Type1/timesbd.pfb  
/usr/X11R6/lib/X11/fonts/drakfont/Type1/timesbi.pfb  
/usr/X11R6/lib/X11/fonts/drakfont/Type1/timesi.pfb  
  
Sorry about that. Do you want that I should send these files?  
Comment 33 hdu@apache.org 2003-11-12 14:29:57 UTC
Just the times.pfb and times.afm pair.
Also the result of the directory renaming / OOo restarting...
Comment 34 davefluri 2003-11-12 14:40:04 UTC
Created attachment 11192 [details]
/usr/X11R6/lib/X11/fonts/drakfont/Type1.bak/times.afm
Comment 35 davefluri 2003-11-12 14:41:08 UTC
Created attachment 11193 [details]
/usr/X11R6/lib/X11/fonts/drakfont/Type1.bak/times.pfb
Comment 36 davefluri 2003-11-12 14:48:27 UTC
Renaming /usr/X11R6/lib/X11/fonts/drakfont/Type1 to 
/usr/X11R6/lib/X11/fonts/drakfont/Type1.bak and then restarting OOo 
had no visible effect. 
 
BTW, there is another Type1 directory in that hierarchy, although it 
doesn't contain any times fonts. it is 
/usr/X11R6/lib/X11/fonts/Type1 and it contains 89 fonts, some 
courier fonts and a whole bunch with numbers, like 
/usr/X11R6/lib/X11/fonts/Type1/1047013t.pfa and 
/usr/X11R6/lib/X11/fonts/Type1/c0611bt_.pfb 
 
Should the pspfontscache file change after renaming that directory? 
It hasn't... 
Comment 37 davefluri 2003-11-12 15:01:37 UTC
Oh, BTW, just to be clear, this is not an OOo install from Mandrake 
RPMs. This is an install from a d/l from the OOo website. My 
previous install of OOo1.0.1 was from Mandrake RPMs that were 
packaged with Mandrake 9.0. If they fiddle with things like fonts 
and all when they package the programme, the fact that 1.0.1 worked 
on this machine could be a meaningles statistic. This could be a 
longer-standing problem. 
Comment 38 hdu@apache.org 2003-11-12 15:41:48 UTC
Thanks.
The "EncodingScheme FontSpecific" explains the symbol font flag, but I
don't understand the metrics problem yet. Maybe the freetype version
has to do with it. When running OOo please do
lsof | fgrep libfreetype | fgrep soffice
and attach the libfreetype.so that is mentioned in the result.
Comment 39 davefluri 2003-11-12 15:50:43 UTC
lsof | grep libfreetype.so | fgrep soffice 
 
returns six entries, all identical save for the second field. The 
entries are of the type 
 
soffice.b 25757 noo_usr mem REG 3,72 324240 96629 
/usr/lib/libfreetype.so 
 
The numbers in the second field are 25757, [25780-25783] and 25790. 
 
Sending /usr/lib/libfreetype.so 
Comment 40 hdu@apache.org 2003-11-12 15:52:29 UTC
Please attach the /usr/lib/libfreetype.so file.
Comment 41 davefluri 2003-11-12 15:53:54 UTC
Created attachment 11196 [details]
/usr/lib/libfreetype.so is a symlink to this file /usr/lib/libfreetype.so.6.3.2
Comment 42 davefluri 2003-11-12 15:56:42 UTC
Say, Herbert, I hate to do this 'cause we lose interactivity but I 
have to go to work! :-) Ciao for now and thanks bunches already for 
what you're doing, there. 
Comment 43 hdu@apache.org 2003-11-12 16:04:29 UTC
Fine, I'm running out of ideas on this one anyway... :-(
Comment 44 hdu@apache.org 2003-11-12 16:19:35 UTC
Please remove the pspfontcache file, then restart, while the type1 dir
is still renamed.
Comment 45 davefluri 2003-11-13 06:13:42 UTC
Okay, removing the psfontscache file had no effect. OOo restarted 
just fine without that file. What I did, then, was I removed both of 
the subdirectories under /usr/X11R6/lib/X11/fonts/drakfont/Type1. 
Then, I ran OOo setup and chose to repair the installation. Only in 
this way could I force the system to rewrite the file 
/Extras/OpenOffice/share/psprint/psfontcache 
 
It had no effect on my problem, but I'll attach the new psfontcache 
file, nonetheless. 
Comment 46 davefluri 2003-11-13 06:15:12 UTC
Created attachment 11213 [details]
The newly (forced to be) created psfontscache file
Comment 47 hdu@apache.org 2004-02-05 10:40:15 UTC
HDU->US: I tried so many things but I cannot recreate it... Can you?
Comment 48 ulf.stroehler 2004-03-26 15:13:54 UTC
US@submitter: pls. attach the output of "/usr/sbin/chkfontpath" and "xset -q".
Thanks a lot.
Comment 49 davefluri 2004-04-01 15:07:22 UTC
bash-2.05b$ /usr/sbin/chkfontpath 
Current directories in font path: 
1: /usr/X11R6/lib/X11/fonts/misc:unscaled 
2: /usr/X11R6/lib/X11/fonts/drakfont 
3: /usr/X11R6/lib/X11/fonts/drakfont/Type1 
4: /usr/X11R6/lib/X11/fonts/drakfont/ttf 
5: /usr/X11R6/lib/X11/fonts/75dpi:unscaled 
6: /usr/X11R6/lib/X11/fonts/100dpi:unscaled 
7: /usr/X11R6/lib/X11/fonts/Type1 
8: /usr/X11R6/lib/X11/fonts/TTF 
9: /usr/X11R6/lib/X11/fonts/Speedo 
10: /usr/X11R6/lib/X11/fonts/pcf_drakfont:unscaled 
11: /usr/X11R6/lib/X11/fonts/mdk:unscaled 
12: /usr/share/fonts/default/Type1 
13: /usr/share/fonts/ttf/western 
14: /usr/share/fonts/ttf/decoratives 
15: /usr/share/fonts/type1/greek 
16: /usr/share/fonts/msttcorefonts 
 
bash-2.05b$ xset -q 
Keyboard Control: 
  auto repeat:  on    key click percent:  0    LED mask:  00000000 
  auto repeat delay:  660    repeat rate:  25 
  auto repeating keys:  00ffffffdffffbbf 
                        fa9fffffffdfe5ff 
                        ffffffffffffffff 
                        ffffffffffffffff 
  bell percent:  50    bell pitch:  400    bell duration:  100 
Pointer Control: 
  acceleration:  2/1    threshold:  4 
Screen Saver: 
  prefer blanking:  yes    allow exposures:  yes 
  timeout:  0    cycle:  600 
Colors: 
  default colormap:  0x20    BlackPixel:  0    WhitePixel:  16777215 
Font Path: 
  
/home/noo_usr/.kde/share/fonts/override,unix/:-1,/home/noo_usr/.kde/share/fonts 
Bug Mode: compatibility mode is disabled 
DPMS (Energy Star): 
  Standby: 900    Suspend: 1800    Off: 2700 
  DPMS is Enabled 
  Monitor is On 
Font cache: 
  hi-mark (KB): 1024  low-mark (KB): 768  balance (%): 70 
Comment 50 ulf.stroehler 2004-04-06 19:39:08 UTC
Now pls. run the following command and attach the found "fonts.*" files.

find /usr -name 'fonts.*' -type f -exec grep -qi "Times New Roman" {} \; -print

After that pls. run the command again with "Times" instead of "Times New Roman"
and attach the "fonts.*" files.
Important: pls. name the PATH to the found "fonts.*" files in the description of
the attachment (example:/usr/share/fonts/msttcorefonts/fonts.dir).
Thanks a lot.

Comment 51 davefluri 2004-04-07 15:33:10 UTC
The following two files are the result of the command 
 
find /usr -name 'fonts.*' -type f -exec grep -qi "Times New Roman" {} \; 
-print 
Comment 52 davefluri 2004-04-07 15:34:50 UTC
Created attachment 14382 [details]
/usr/share/fonts/msttcorefonts/fonts.dir
Comment 53 davefluri 2004-04-07 15:36:01 UTC
Created attachment 14383 [details]
/usr/X11R6/lib/X11/fonts/drakfont/ttf/fonts.dir
Comment 54 davefluri 2004-04-07 15:37:07 UTC
The following 9 files are the result of the command 
 
find /usr -name 'fonts.*' -type f -exec grep -qi "Times" {} \; -print 
Comment 55 davefluri 2004-04-07 15:37:46 UTC
Created attachment 14384 [details]
/usr/share/fonts/default/Type1/fonts.dir
Comment 56 davefluri 2004-04-07 15:38:11 UTC
Created attachment 14385 [details]
/usr/share/fonts/default/Type1/fonts.scale
Comment 57 davefluri 2004-04-07 15:38:44 UTC
Created attachment 14386 [details]
/usr/share/fonts/msttcorefonts/fonts.dir
Comment 58 davefluri 2004-04-07 15:40:02 UTC
Created attachment 14387 [details]
/usr/X11R6/lib/X11/fonts/100dpi/fonts.dir
Comment 59 davefluri 2004-04-07 15:40:46 UTC
Created attachment 14388 [details]
/usr/X11R6/lib/X11/fonts/drakfont/Type1/fonts.scale.bak
Comment 60 davefluri 2004-04-07 15:41:07 UTC
Created attachment 14389 [details]
/usr/X11R6/lib/X11/fonts/drakfont/ttf/fonts.dir
Comment 61 davefluri 2004-04-07 15:45:17 UTC
Oops, in that group of nine files, when I try to attach 3 of them I'm told 
they don't exist, even though the find command finds them and I can see them 
with ls. They are 
 
/usr/share/a2ps/afm/fonts.map 
/usr/X11R6/lib/X11/fonts/75dpi/fonts.dir 
/usr/X11R6/lib/X11/fonts/drakfont/Type1/fonts.scale 
 
I'll try once more to attach them. 
Comment 62 davefluri 2004-04-07 15:46:39 UTC
Created attachment 14390 [details]
/usr/share/a2ps/afm/fonts.map
Comment 63 davefluri 2004-04-07 15:47:12 UTC
Created attachment 14391 [details]
/usr/X11R6/lib/X11/fonts/75dpi/fonts.dir
Comment 64 davefluri 2004-04-07 15:47:37 UTC
Created attachment 14392 [details]
/usr/X11R6/lib/X11/fonts/drakfont/Type1/fonts.scale
Comment 65 davefluri 2004-04-07 15:48:20 UTC
There, that did it. It must have been a glitch in the upload process. 
Comment 66 ulf.stroehler 2004-04-07 18:46:46 UTC
Thanks a bunch!!

Not sure whther the following dir is empty. But at least it contains a
fonts.scale and seems to be missing a fonts.dir. That's suspicious to me, also
the content of the fonts.scale seems suspicious, but I may be wrong.
/usr/X11R6/lib/X11/fonts/drakfont/Type1

You may try commenting out the appropriate line in /etc/X11/fs/config and
restart the font server (as root: /etc/init.d/xfs restart )

Does that help?

I see. From the pspfontcache file I can tell that the
/usr/X11R6/lib/X11/fonts/drakfont/Type1 isn't empty. As already said by HDU
nowadays there is no need anymore for converting truetypes to Type1. But these
font fies reside in a typical font path they'll always get found by OOo's font
path 'heuristic'. Thus commenting out them for the font server as described
above isn't enough. Pls. move them to a place where OOo won't see them ($HOME
does not work). You may want to move them in a tar file (tar -czvf
drakfont_type1.tar.gz /usr/X11R6/lib/X11/fonts/drakfont/Type1/ ) . After testing
the tar file you can savely remove all entries from the directory.
Comment 67 ulf.stroehler 2004-06-04 18:44:49 UTC
Any news on this issue?
Comment 68 ulf.stroehler 2004-06-07 17:18:16 UTC
Seems more to be a Mandrake/configurartion problem than an OOo one.
Comment 69 ulf.stroehler 2004-08-06 14:35:11 UTC
Closing as not an OO.o issue + issue inactivity. Feel free to reopen when their
is new insight on this topic.